/*
 * タービンJCTワンクリック建設ツール
 * 2020年10月
 * Author: ひめし (@himeshi_hob)
 */

// 地上道路と高架道路のアドオン名をココで指定．
local road_gr = "tku_style_road_b03-2wL"
local road_elev = "tku_style_road_b03-2wL_high"

//ここから呪文1
include("hm_toolkit")
function init(player)
{
//呪文1ここまで

	//スロープの建設
	hm_slope_tl(hm_slope.UP, [3,2,0])
	hm_slope_tl(hm_slope.UP, [14,8,0])
	hm_slope_tl(hm_slope.UP, [14,3,0])
	hm_slope_tl(hm_slope.UP, [11,4,0])
	hm_slope_tl(hm_slope.UP, [11,-2,0])
	hm_slope_tl(hm_slope.UP, [14,-3,0])
	hm_slope_tl(hm_slope.UP, [11,-6,0])
	hm_slope_tl(hm_slope.UP, [22,-1,0])
	hm_slope_tl(hm_slope.E1, [3,2,1])
	hm_slope_tl(hm_slope.E1, [4,2,0])
	hm_slope_tl(hm_slope.E1, [14,-3,1])
	hm_slope_tl(hm_slope.E1, [15,-3,0])
	hm_slope_tl(hm_slope.E1, [14,3,1])
	hm_slope_tl(hm_slope.E1, [15,3,0])
	hm_slope_tl(hm_slope.W1, [10,4,0])
	hm_slope_tl(hm_slope.W1, [11,4,1])
	hm_slope_tl(hm_slope.W1, [10,-2,0])
	hm_slope_tl(hm_slope.W1, [11,-2,1])
	hm_slope_tl(hm_slope.W1, [21,-1,0])
	hm_slope_tl(hm_slope.W1, [22,-1,1])
	hm_slope_tl(hm_slope.S1, [14,9,0])
	hm_slope_tl(hm_slope.S1, [14,8,1])
	hm_slope_tl(hm_slope.N1, [11,-6,1])
	hm_slope_tl(hm_slope.N1, [11,-7,0])
	
	//以下，道路建設．
	//縦横本線
	hm_way_tl(wt_road,road_elev,[0,0,0],[25,0,0])
	hm_way_tl(wt_road,road_elev,[0,1,0],[25,1,0])
	hm_way_tl(wt_road,road_gr,[12,-10,0],[12,11,0])
	hm_way_tl(wt_road,road_gr,[13,-10,0],[13,11,0])
	
	//高架の建設
	//from 西
	hm_way_tl(wt_road,road_elev,[7,0,0],[11,-4,0])
	hm_way_tl(wt_road,road_elev,[11,-4,0],[11,-5,0])
	hm_way_tl(wt_road,road_elev,[10,-3,0],[13,-3,0])
	//from 東
	hm_way_tl(wt_road,road_elev,[19,1,0],[14,6,0])
	hm_way_tl(wt_road,road_elev,[14,6,0],[14,7,0])
	hm_way_tl(wt_road,road_elev,[16,4,0],[12,4,0])
	//from 北
	hm_way_tl(wt_road,road_elev,[13,3,0],[11,1,0])
	hm_way_tl(wt_road,road_elev,[23,-1,0],[24,-1,0])
	hm_way_tl(wt_road,road_elev,[24,-1,0],[24,0,0])
	//from 南
	hm_way_tl(wt_road,road_elev,[12,-2,0],[14,0,0])
	hm_way_tl(wt_road,road_elev,[2,2,0],[1,2,0])
	hm_way_tl(wt_road,road_elev,[1,2,0],[1,1,0])
	
	//地平道路の建設
	//from南
	hm_way_tl(wt_road,road_gr,[2,2,2],[5,2,0])
	hm_way_tl(wt_road,road_gr,[5,2,0],[12,9,0])
	hm_way_tl(wt_road,road_gr,[8,4,0],[8,0,0])
	hm_way_tl(wt_road,road_gr,[8,0,0],[12,-2,2])
	//from北
	hm_way_tl(wt_road,road_gr,[23,-1,2],[20,-1,0])
	hm_way_tl(wt_road,road_gr,[20,-1,0],[13,-8,0])
	hm_way_tl(wt_road,road_gr,[17,-3,0],[17,1,0])
	hm_way_tl(wt_road,road_gr,[17,1,0],[13,3,2])
	//from東
	hm_way_tl(wt_road,road_gr,[14,7,2],[14,10,0])
	hm_way_tl(wt_road,road_gr,[14,10,0],[13,10,0])
	hm_way_tl(wt_road,road_gr,[12,4,2],[9,4,0])
	hm_way_tl(wt_road,road_gr,[9,4,0],[12,-2,0])
	//from西
	hm_way_tl(wt_road,road_gr,[11,-5,2],[11,-9,0])
	hm_way_tl(wt_road,road_gr,[11,-9,0],[12,-9,0])
	hm_way_tl(wt_road,road_gr,[13,-3,2],[16,-3,0])
	hm_way_tl(wt_road,road_gr,[16,-3,0],[13,3,0])
	
//ここから呪文2
	return true
}
//呪文2ここまで
